<?php

use yii\db\Migration;
use yii\db\Schema;

/**
 * Class m221109_100033_producer_add_option_display_message_new_opendistrib_version
 */
class m221109_100033_producer_add_option_display_message_new_opendistrib_version extends Migration
{
    /**
     * {@inheritdoc}
     */
    public function safeUp()
    {
        $this->addColumn('producer', 'option_display_message_new_opendistrib_version', Schema::TYPE_BOOLEAN.' DEFAULT 1');
    }

    /**
     * {@inheritdoc}
     */
    public function safeDown()
    {
        $this->dropColumn('producer', 'option_display_message_new_opendistrib_version');
    }

    /*
    // Use up()/down() to run migration code without a transaction.
    public function up()
    {

    }

    public function down()
    {
        echo "m221109_100033_producer_add_option_display_message_new_opendistrib_version cannot be reverted.\n";

        return false;
    }
    */
}
